This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 103873 - Info documents non-existent math functions
Info documents non-existent math functions
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: man-pages (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Eido Inoue
Ben Levenson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-05 18:10 EDT by Horst H. von Brand
Modified: 2007-03-27 00:09 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-25 13:04:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Horst H. von Brand 2003-09-05 18:10:23 EDT
Description of problem: Functions log2, exp2, exp10 are documented in info, but
not in manpages. The functions do not exist.


Version-Release number of selected component (if applicable): 2.3.2-27.9


How reproducible: Always


Steps to Reproduce:
1. pinfo libc, go to Mathematics
2. Find listed functions documented
3. Go to manpage, use in program, futz around in the math.h header, ...
    
Actual results:
Listed functions aren't there (no manpage, not in the math.h header or library
either)

Expected results:
Just existing functions documented? ;-)

Additional info:
I believe all those are non-essential GNU extensions (or where at some point in
time), they could safely just be removed from the documentation.
Comment 1 Jakub Jelinek 2003-09-05 18:18:41 EDT
The functions of exist. exp2/log2 are ISO C99 functions, so one of
-std=c99, -std=gnu99, -D_ISOC99_SOURCE or -D_GNU_SOURCE is needed to get
their prototypes in math.h (info libc talks about feature macros).
exp10 and pow10 are GNU extensions, so -D_GNU_SOURCE is needed to get their
prototypes.
Comment 2 Horst H. von Brand 2003-09-05 18:35:36 EDT
Then the fact that extra magic is needed to get them is not documented is
certainly a bug, as is the fact that they aren't documented in manpages...
Comment 3 Jakub Jelinek 2003-09-08 03:58:30 EDT
info libc doesn't mention this for any function (nor it mentions which header provides which prototype), it just notes (e.g. for
exp10/pow10) that the functions are GNU extensions, which in standard headers
implies -D_GNU_SOURCE).
Man pages should list things like this, but they are missing (also for lots of
other functions). Changing this to enhancement request for man pages
(patches appreciated as always).
Comment 4 Eido Inoue 2003-09-25 13:04:09 EDT
the info pages will always be the authoritive source and will never be as
complete as the info pages unfortunately. it would be nice if either/both drew
there docs from a common source, but they don't.

Note You need to log in before you can comment on or make changes to this bug.